//storage fail
/*
try{
    if (typeof storage === 'undefined') var storage = sessionStorage;
} catch {
    error("scripts err");
}*/


$(document).ready(function () {
    /*iframe style*/
    setFrameClass();

    /*TOC - links*/
    var tochtml = "<div id='toc-list' class='list-group'>";
    $toclist =  $("h2[data-toc='true']");
    if ($toclist.length) {
        $toclist.each(function (index) {
            $(this).attr("id", "toc-item-" + index);
            tochtml += "<a class='list-group-item' href='#toc-item-" + index + "'>" + $(this).text() + "</a>";
        });
		
		if( $(".ponavljanje-provjera").length == 1 ) {
			$(".ponavljanje-provjera").attr("id", "ponavljanje-provjera");
			var provjeratxt = "Provjera znanja";
			if( $("body").hasClass("german") ) provjeratxt = "Test";
			if ( $(".ponavljanje-provjera h2").length > 0 )  provjeratxt = $(".ponavljanje-provjera h2").first().text();
			tochtml += "<a class='list-group-item' href='#ponavljanje-provjera'>"+provjeratxt+"</a>";
		}
		
        $(".toc-widget-list").html(tochtml + "</div>");
    }else{
        $(".toc-widget-sub.toc-sadrzaj").hide();
    }

    /*TOC - show*/
    $(".toc-widget-sub").on("click", function () {
        $(this).toggleClass("open");
    })
    /*TOC - jump*/
    $("#toc-list a").on("click", function (e) {
        e.stopPropagation();
        var targetobj = $($(this).attr('href'))
        var scrolloffset = targetobj.offset().top - $(window).scrollTop();
        var menuoffset = 102;
        if (scrolloffset > 0) menuoffset -= 60;

        $('html, body').animate({
            scrollTop: targetobj.offset().top - menuoffset
        }, 1000);
    });
    $("body").scrollspy({ target: "#toc-list", offset: 122 })


    /*font size*/
    $(".i-zoom-plus").on("click", function (e) {
        e.stopPropagation();
        changeFontSize("plus");
		//adjust hight for PairList
        setPairList($("main"));
        setWordDrag($("main"));
    });
    $(".i-zoom-minus").on("click", function (e) {
        e.stopPropagation();
        changeFontSize("minus");
		//adjust hight for PairList
        setPairList($("main"));
        setWordDrag($("main"));
    });
    $(".i-zoom-default").on("click", function (e) {
        e.stopPropagation();
        changeFontSize("0");
		//adjust hight for PairList
        setPairList($("main"));
        setWordDrag($("main"));
    });
    $(".i-font").on("click", function (e) {
        e.stopPropagation();
        $("body").toggleClass("opendsylexic");
        if ($("body").hasClass("opendsylexic")) {
            saveSetting('dsylexic', "on");
        }else{
            saveSetting('dsylexic', "off");
        }
        setFrameClass();
		//adjust hight for PairList
        setPairList($("main"));
        setWordDrag($("main"));
    });
    $(".i-contrast").on("click", function (e) {
        e.stopPropagation();
        $("body").toggleClass("contrast");
        if ($("body").hasClass("contrast")) {
            saveSetting('contrast', "on");
        }else{
            saveSetting('contrast', "off");
        }
        setFrameClass();
    });



    /* sticky breadcrumbs & TOC */
    var $obj = $(".skbreadcrumb");
    var $tocobj = $(".toc-widget");
    if ( $obj.length || $tocobj.length ) {

        var $topmenu = $(".topnavrow");
        if ( $obj.length ) var top = $obj.offset().top - parseFloat($obj.css('marginTop').replace(/auto/, 0));
        if ( $tocobj.length ) var toctop = $tocobj.offset().top;

        $(window).scroll(function (event) {
            // what the y position of the scroll is
            var y = $(this).scrollTop();
            var menuoffset = 60 + parseInt($topmenu.css('top'), 10);
            if ((y + menuoffset) >= top) {
                $obj.addClass('skbreadcrumb-fix');
            } else {
                $obj.removeClass('skbreadcrumb-fix');
            }

            /* toc */
            var toctopPos = 112; /*60 css top position*/
            /*if ( $(window).width() < 1401 ) toctopPos = 112;*/
            if ( y + toctopPos >= toctop ) {
                $tocobj.addClass("toc-widget-fix");
            } else {
                $tocobj.removeClass("toc-widget-fix");
            }

        });
    }

    //top menu 2nd level
    $(".main-navigation-dropdown > ul > li a").on("click", function(e){
        if( $(this).attr("href") == "#" ) e.preventDefault();
        if ( $(this).closest("ul.sksubmenu").length ) {

        }else{
            $(this).parent("li").toggleClass("active").siblings("li").removeClass("active");
        }
    });
    //menu show
    $(".nav-icon-menu").on("click", function (e) {
        e.preventDefault();
        $(this).closest(".main-navigation").toggleClass("show");
    })
    //mobile menu
    $(".mainnav-mob-toggler").on("click", function () {
        $(this).toggleClass("show");
        $(".skmenu-mainnav").toggleClass("hiddenImp");
    })

    /*top-menu learning levels - cjeloviti dos*/
	if( $(".main-navigation-dropdown>ul>li").length > 2 ) {
		
		$(".italian5 .main-navigation-dropdown > ul > li").eq(1).before("<li class='menu-level-title'>Druga godina učenja</li>");
		$(".italian5 .main-navigation-dropdown > ul > li").eq(7).before("<li class='menu-level-title'>Peta godina učenja</li>");
		$(".italian .main-navigation-dropdown > ul > li").eq(1).before("<li class='menu-level-title'>Početak učenja</li>");
		$(".italian .main-navigation-dropdown > ul > li").eq(6).before("<li class='menu-level-title'>Nastavak učenja</li>");

		$(".german.osnovna .main-navigation-dropdown > ul > li").eq(1).before("<li class='menu-level-title'>Druga godina učenja</li>");
		$(".german.osnovna .main-navigation-dropdown > ul > li").eq(4).before("<li class='menu-level-title'>Peta godina učenja</li>");
		$(".german:not(.osnovna) .main-navigation-dropdown > ul > li").eq(1).before("<li class='menu-level-title'>Početak učenja</li>");
		$(".german:not(.osnovna) .main-navigation-dropdown > ul > li").eq(5).before("<li class='menu-level-title'>Nastavak učenja</li>");
	}


    /* external links check */
    $("main a[target!=_blank][href^=http]").attr("target", "_blank");

    /*photo carousel - autonumber */
    var photoCarousel = $(".carousel.slide.photo");
    if ( photoCarousel.length ) {
        $(photoCarousel).each(function(i){
            var items = $(this).find(".carousel-item .carousel-caption small:first-child");
            $(items).each(function (j) {
                var totalphoto = items.length;
                if ( !$(this).has("span").length ) {
                    $(this).html( $(this).html() + " <span>("+(j+1)+"/"+totalphoto+")</span>");
                }
            });

        });
    }

    //carousel - autonumber
    if($("body").hasClass("latin")) var LangSpec = "LA";
    if($("body").hasClass("german")) { var LangSpec = "DE"; LangTxt = ["Aufgabe", "Aufgabengruppe"]; }
    if($("body").hasClass("italian") || $("body").hasClass("italian5")) { var LangSpec = "IT"; var LangTxt = ["Esercizio", "Gruppo di esercizi"]; }

    var zadaci = $(".carousel.quiz-carousel");
    var alphabet = 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'.split('');
    var alphaidx = 0;
    const arrows = "<div class='arrow-container'><div data-slide='prev'></div><div data-slide='next'></div></div><div style='clear:both'></div>";
  
    if (LangSpec == "LA") {
        
        zadaci.each(function (i) {
            var countitem = $(this).find(".carousel-item").length;
            
            if (countitem > 1) {
                var multiitem = $(this).find(".quiz-carousel.zadatak h3");
                $(multiitem).each(function (j) {
                    var totalitem = multiitem.length;
                    $(this).html($(this).html() + " <span>(" + (j + 1) + "/" + totalitem + ")</span>" + arrows);
                });
                //def arrows remove
                $(this).find("a.carousel-control-prev, a.carousel-control-next").remove();
            }
        });  
        
        var zadaciponavljanje = $(".ponavljanje-provjera .carousel.quiz-carousel");
        zadaciponavljanje.each(function(i){
            var multiitem = $(this).find(".quiz-carousel.zadatak h3");
            $(multiitem).each(function (j) {
                var totalitem = multiitem.length;
                $(this).html( "Zadatak "+(j+1)+" <span>("+(j+1)+"/"+totalitem+")</span>" + arrows);
            });
        });

        //procjena znanja - autonum
        var procjenazadaci = $("section.assessment .zadatak");
        procjenazadaci.each(function (i) {
            $(this).children("h3").html( "Zadatak " + (i+1) );
        });  
    }
  
    if (LangSpec == "DE" || LangSpec == "IT") {
        var zadaci = $(".carousel.quiz-carousel").not(".ponavljanje-provjera .carousel.quiz-carousel");
        var zadaciponavljanje = $(".ponavljanje-provjera .carousel.quiz-carousel");

        //if zadaci.length
        zadaci.each(function(i){
        var countitem = $(this).find(".carousel-item").length;
    
        if (countitem == 1) {
            if( $(this).parent(".pictureDrag-mobile").length ) alphaidx--;
            $(this).find(".quiz-carousel.zadatak h3").html(LangTxt[0] + " " + alphabet[alphaidx]);
            alphaidx++;
        }else{
            //grupa
            var multiitem = $(this).find(".quiz-carousel.zadatak h3");
            var multiTitle = LangTxt[1] + " " + alphabet[alphaidx];
            $(multiitem).each(function (j) {
                var totalitem = multiitem.length;
                $(this).html( multiTitle + " <span>("+(j+1)+"/"+totalitem+")</span>" + arrows);
            });
            alphaidx++;
            //def arrows remove
            $(this).find("a.carousel-control-prev, a.carousel-control-next").remove();
        }
        });
        zadaciponavljanje.each(function(i){
            var multiitem = $(this).find(".quiz-carousel.zadatak h3");
            var multiTitle = LangTxt[0] + " ";
            $(multiitem).each(function (j) {
                var totalitem = multiitem.length;
                $(this).html( multiTitle + " <span>("+(j+1)+"/"+totalitem+")</span>" + arrows);
            });
        });

    }


  
    $('div[data-slide="prev"]').click(function() {
        var $targetCarousel = $(this).closest(".carousel.quiz-carousel")
        $targetCarousel.carousel('prev');
        setWordDrag($targetCarousel);
        setPairList($targetCarousel);
    });
  
    $('div[data-slide="next"]').click(function() {
        var $targetCarousel = $(this).closest(".carousel.quiz-carousel")
        $targetCarousel.carousel('next');
        setWordDrag($targetCarousel);
        setPairList($targetCarousel);
    });
  

    //keyboard
    if ($("body").hasClass("italian") || $("body").hasClass("italian5") || $("body").hasClass("german")) {
        $('.german .zadatak input[type="text"]').keyboard(DEkey);
        $('.italian .zadatak input[type="text"]').keyboard(ITkey);
        $('.italian5 .zadatak input[type="text"]').keyboard(ITkey);
    }



    //video player
    var videoOptions = { language: 'de', nativeTextTracks: false, /*fluid: true,*/ aspectRatio: "4:3", controlBar: { volumePanel: {inline: false}, CurrentTimeDisplay: true,  pictureInPictureToggle: false }, DurationDisplay: true, bigPlayButton: true };
    var audioOptions = { language: 'de', controlBar: { fullscreenToggle: false, pictureInPictureToggle: false }, bigPlayButton: false }
    if ($("body").hasClass("german")) videojs.addLanguage("de", playerDE);
    if ($("body").hasClass("italian") || $("body").hasClass("italian5")) { videoOptions.language = "it"; audioOptions.language="it"; videojs.addLanguage("it", playerIT); }
    if ( $("body").hasClass("latin") ) { videoOptions.language = "hr"; audioOptions.language="hr"; videojs.addLanguage("hr", playerHR); }

    $("video").each(function(idx){

      $(this).addClass("video-js").attr("id", "vidplayer"+idx);
      $(this).append("<source src='"+$(this).attr("src")+"' type='"+$(this).attr("type")+"'>");
      var player = videojs("vidplayer"+idx, videoOptions, function() {
		this.addClass('videoready');
    });

      if ($(this).data("sub-id")) {
        var captions = $("#"+$(this).data("sub-id")).html();
        player.ready(function () {
          var VTTParser = new WebVTTParser();
          var parsed = VTTParser.parse(captions);
          var track = player.addTextTrack('captions', 'podnaslov', 'hr');
          parsed.cues.forEach(function (cue) {
            var ct = new VTTCue(cue.startTime, cue.endTime, cue.text)
            track.addCue(ct);
          });

         track.mode = 'showing';
       });
      }
    });

    $("audio").each(function (idx) {
      $(this).addClass("video-js audio").attr("id", "audioplayer" + idx);
      var player = videojs("audioplayer" + idx, audioOptions);
    });

	
	/*krizaljke pomoc*/
    var $addhelp = $(".krizaljkaupute");
    if ( $addhelp.length ) {
       $addhelp.each(function(){
		   var tempid = '_' + Math.random().toString(36).substr(2, 9);
		   var showaction = $("<button>", { text: "i", "class": "transkript-gumb upute-gumb mt-2 mb-3", "onClick": "showHide('"+tempid+"')" });
		   $(this).hide().attr("id", tempid).before(showaction);
	   });
    }
	
	
    var $iframes = $("iframe");
    if ( $iframes.length ) {
        $iframes.iFrameResize( {heightCalculationMethod:"max", checkOrigin:false /*, resizeFrom: "child"*/} );
		generateAriaMemory();
    }
	//aria for iframe
	function generateAriaMemory() {
		var memoryAria = [];
		if( $("body").hasClass("latin") ) memoryAria = memoryLAT;
		if( $("body").hasClass("german") ) memoryAria = memoryDE1;
		if( $("body").hasClass("german osnovna") ) memoryAria = memoryDE5;
		if( $("body").hasClass("italian") ) memoryAria = memoryIT1;
		if( $("body").hasClass("italian5") ) memoryAria = memoryIT5;

		$iframes.each(function(){
			var $target = $(this);
			var zip = $target.attr("src"); 
			$.each(memoryAria, function( index, value ) {
				var findZip = zip.toLowerCase().indexOf(value.zip.toLowerCase()) >= 0;
				if (findZip) $target.attr("aria-label", value.tekst); 
			});
		});
	}
	
	

    /*actvate*/
    if ($(".carousel.naslovnica-modula").length) SetEquiHeight($(".carousel.naslovnica-modula"));

//end document ready
});



/*change font */
var selectedSize;
if ( readSetting("fontCustom") != "on" ) {
    changeFontSize("default");
}else { 
    selectedSize = readSetting("fontSize")-1;
    changeFontSize("plus");
}


/*photosmart*/
/*IT def.text*/
if($("body").hasClass("italian") || $("body").hasClass("italian5")) {
    $(".zadatak .quiz-image-container .js-smartphoto").attr("data-caption", "Guarda la foto e fai l'esercizio.");
}
document.addEventListener('DOMContentLoaded', function () {
    new SmartPhoto(".js-smartphoto", {
        nav: false
    });
});


function changeFontSize(action) {

    var targetClass = ["font-m2", "font-m1", "font-0", "font-p1", "font-p2"];

    switch (action) {
        case "plus":
            selectedSize++;
            if (selectedSize > (targetClass.length - 1)) selectedSize = (targetClass.length - 1);
            saveSetting("fontCustom", "on");
            break;
        case "minus":
            selectedSize--;
            if (selectedSize < 0) selectedSize = 0;
            saveSetting("fontCustom", "on");
            break;
        default:
            selectedSize = Math.floor(targetClass.length/2);
            saveSetting("fontCustom", "off");
    }
    $("html").removeClass().addClass(targetClass[selectedSize]);
    $(".font-size-bar > div").css("width", 100*selectedSize/(targetClass.length-1) + "%");

    saveSetting("fontSize", selectedSize);
}

function setFrameClass() {
    var parentCss = $("body").attr("class");
    var $frame = $("iframe");
    if ($frame.length) {
        $frame.each(function(i){
            var url = $(this).attr("src");
            //if(url.includes("?")) url = url.split("?")[0];
            if(url.indexOf("?") > -1) url = url.split("?")[0];
            $(this).attr("src", url + "?para=" + parentCss);
        });
    }
}

function saveSetting(key, value){
    try {
        storage.setItem(key, value);
    }
    catch (err) {
        setCookie(key, value, 1);
    }
}
function readSetting(key){
    try {
        return storage.getItem(key);
    }
    catch (err) {
        return getCookie(key);
    }
}
function setCookie(cname, cvalue, exdays) {
    var d = new Date();
    d.setTime(d.getTime() + (exdays*24*60*60*1000));
    var expires = "expires="+ d.toUTCString();
    //document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
    document.cookie = cname + "=" + cvalue + ";path=/";
}
function getCookie(cname) {
    var name = cname + "=";
    var decodedCookie = decodeURIComponent(document.cookie);
    var ca = decodedCookie.split(';');
    for(var i = 0; i <ca.length; i++) {
      var c = ca[i];
      while (c.charAt(0) == ' ') {
        c = c.substring(1);
      }
      if (c.indexOf(name) == 0) {
        return c.substring(name.length, c.length);
      }
    }
    return "";
}



/*menu scroll hide*/
var didScroll;
var lastScrollTop = 0;
var delta = 5;
var navbarHeight = $(".topnavrow").outerHeight();

$(window).scroll(function (event) {
    didScroll = true;
});

setInterval(function () {
    if (didScroll) {
        hasScrolled();
        didScroll = false;
    }
}, 250);

function hasScrolled() {
    var st = $(this).scrollTop();

    // Make sure they scroll more than delta
    if (Math.abs(lastScrollTop - st) <= delta)
        return;

    if (st > lastScrollTop && st > navbarHeight) {
        // Scroll Down
        $(".topnavrow").removeClass("nav-down").addClass("nav-up");
        $(".skbreadcrumb").removeClass("bread-down");
        $(".main-navigation, .skmenu-settings, .skmenu-settings > .dropdown-menu").removeClass("show");
        $(".main-navigation li.active").removeClass("active");
    } else {
        // Scroll Up
        if (st + $(window).height() < $(document).height()) {
            $(".topnavrow").removeClass("nav-up").addClass("nav-down");
            $(".skbreadcrumb").addClass("bread-down");
        }
    }

    lastScrollTop = st;
}


/*function carousel*/
function SetEquiHeight(obj) {
    var carMaxHeight = 0;
    var items = obj.find(".carousel-item");
    $(items).each(function (j) {
        if ($(this).outerHeight() > carMaxHeight) { carMaxHeight = $(this).outerHeight(); }
    });
    $(items).css('height', carMaxHeight + 'px');
}


$(".jsToggle").on("click", function () {
    $(this).toggleClass("show");
    target = $(this).data("target");
    $(target).slideToggle("fast");
})

$(".jsShowAll").on("click", function () {
    var parentDiv = $(this).parent("div");
    parentDiv.siblings("div").show();
    parentDiv.hide("fast");
})


/* video/audio no transcript helper */
$('div.video-container, div.audio-container').filter(function(){
    return !$(this).next("section.solution-section").length;
}).addClass("video-nosolution");


$(".german button[title='Provjeri kviz']").text(" Das Quiz überprüfen ");
$(".german .toc-samostalno a").text(" selbstständige Arbeit ");
$(".german .toc-znanje a").text(" Teste dich ");
$(".german .toc-sadrzaj p").text(" Inhalt ");
$(".german .form-search[type=search]").attr("placeholder", "Suche");


/*wordWrite*/
$("div.zadatak[data-tasktype=wordWrite]").each(function(idx) {
    var $item = $(this).find("input[type=text]");

	var max = 0;
    $item.each(function(){
		var num = countAns( String($(this).data("correct")) );
		if (num > max) max = num;
    });

	var len = 2 + 0.6 * max;
    $item.css("width", (len +"em"));
    if (max==1) $item.addClass("singlecharinput");
});

function countAns(input) {

	//if( input.includes(";") ) {
	if( input.indexOf(";") > -1 ) {
		var inputarray = input.split(";");
		//return inputarray.reduce((r,s) => r > s.length ? r : s.length, 0);
		//return inputarray.reduce( function(r,s){ return r > s.length ? r : s.length; } );
		var maxchar = 0
		for (var i = 0; i < inputarray.length; i++) {
			maxchar = maxchar > inputarray[i].length ? maxchar : inputarray[i].length;
		}
		return maxchar;
	}else{
		return input.length;
	}
}


setPairList($("main"));
$(window).resize(function() {
    setPairList($("main"));
});
//provjeri zadatak -adjust height
$(".zadatak[data-tasktype=pairList] .analytics-check").on("click", function(){ setPairList($("main")); });
function setPairList(elem) {
    var $targetObj = $(elem).find(".zadatak[data-tasktype=pairList] .odgovor");
    if ( $targetObj.length ) {
        $($targetObj).each(function(i){
            var liMaxHeight = 0;
            var items = $(this).find("li");
            $(items).css('min-height', 0);
            $(items).each(function (j) {
                if ($(this).outerHeight() > liMaxHeight) { liMaxHeight = $(this).outerHeight(); }
            });
            $(items).css('min-height', Math.round(liMaxHeight + 0.5) + 'px');
        });
    }
}

setWordDrag($("main"));
function setWordDrag(elem) {
    var $targetObj = $(elem).find("div.zadatak[data-tasktype=wordDrag]");
    if ( $targetObj.length ) {
        $("div.zadatak[data-tasktype=wordDrag]").each(function(idx) {
            var $item = $(this).find("div.odgovor div.drag-odgovor");
            var $places = $(this).find("div.pitanje div.drop-polje.drop-pitanje");
            var max = 0;
            $item.each(function(){
                var num = $(this).outerWidth();
                if (num > max) max = num;
            });
            $item.css("min-width", (max +"px"));
            $places.css("width", (max +"px"));
        });
    }
}


/*reset position
$(".zadatak[data-tasktype=wordGroup] button.analytics-reset").on("click", function(){
    zadatakId = $(this).data("id");

    $odgovori = $("#"+zadatakId+" .drag-odgovor");
    var num = $odgovori.length;
    var zadatakOrder = randomList(num);

    for (let idx = 0; idx < zadatakOrder.length;idx++) {
        $odgovori.eq(zadatakOrder[idx]).detach().appendTo("#"+zadatakId+" .bazen-odgovora");
    }

});


function randomList(num){
    for (var a=[],i=0;i<num;++i) a[i]=i;

    function shuffle(array) {
        var tmp, current, top = array.length;
        if(top) while(--top) {
            current = Math.floor(Math.random() * (top + 1));
            tmp = array[current];
            array[current] = array[top];
            array[top] = tmp;
        }
        return array;
    }
    return shuffle(a);
}
*/


/* DE keyboard settings*/
var DEkey = {
    language: ['de'],

    // *** choose layout & positioning ***
    layout: 'custom',
    customLayout: {
      'normal': [
        'ä ö ü ß Ä Ö Ü {a}'
      ]
    },
    position: {
      // null = attach to input/textarea;
      // use $(sel) to attach elsewhere
      of: null,
      my: 'center top',
      at: 'center top',
      // used when "usePreview" is false
      at2: 'center bottom'
    },

    usePreview: false,
    // if true, keyboard will not close if you press escape.
    ignoreEsc: true,
    autoAccept: true,
    autoAcceptOnEsc: false,
    tabNavigation: true,
    enterNavigation: true,
    
    display: {
      // check mark (accept)
      'a': '\u2716:Close'
    },

    css : {
      // input & preview
      input          : '',
      // keyboard container
      container      : 'onscreen-keyboard ui-helper-clearfix',
      // keyboard container extra class (same as container, but separate)
      popup: '',
      // default state
      buttonDefault  : 'ui-state-default',
    }

  }

/* DE video player translations */
const playerDE = {
    "Play": "Wiedergabe",
    "Pause": "Pause",
    "Replay": "Erneut abspielen",
    "Current Time": "Aktueller Zeitpunkt",
    "Duration": "Dauer",
    "Remaining Time": "Verbleibende Zeit",
    "Stream Type": "Streamtyp",
    "LIVE": "LIVE",
    "Loaded": "Geladen",
    "Progress": "Status",
    "Fullscreen": "Vollbild",
    "Non-Fullscreen": "Kein Vollbild",
    "Mute": "Ton aus",
    "Unmute": "Ton ein",
    "Playback Rate": "Wiedergabegeschwindigkeit",
    "Subtitles": "Untertitel",
    "subtitles off": "Untertitel aus",
    "Captions": "Untertitel",
    "captions off": "Untertitel aus",
    "Chapters": "Kapitel",
    "Play Video": "Video abspielen",
    "Close": "Schließen" 
}

/* IT */
var ITkey = {
    language: ['it'],

    // *** choose layout & positioning ***
    layout: 'custom',
    customLayout: {
      'normal': [
        '{s} à è é ì ò ó ù {a}'
      ],
      'shift' : [
        '{s} À È É Ì Ò Ó Ù {a}',
        ],
    },
    position: {
      // null = attach to input/textarea;
      // use $(sel) to attach elsewhere
      of: null,
      my: 'center top',
      at: 'center top',
      // used when "usePreview" is false
      at2: 'center bottom'
    },

    usePreview: false,
    // if true, keyboard will not close if you press escape.
    ignoreEsc: true,
    autoAccept: true,
    autoAcceptOnEsc: false,
    tabNavigation: true,
    enterNavigation: true,
    
    display: {
      // check mark (accept)
      'a': '\u2716:Close'
    },

    css : {
      // input & preview
      input          : '',
      // keyboard container
      container      : 'onscreen-keyboard ui-helper-clearfix',
      // keyboard container extra class (same as container, but separate)
      popup: '',
      // default state
      buttonDefault  : 'ui-state-default',
    }

  }

/* IT video player translations */
const playerIT = {
    "Play": "Riproduci",
    "Pause": "Pausa",
    "Current Time": "Orario attuale",
    "Duration": "Durata",
    "Remaining Time": "Tempo rimanente",
    "Stream Type": "Tipo del Streaming",
    "LIVE": "LIVE",
    "Loaded": "Caricato",
    "Progress": "Stato",
    "Fullscreen": "Schermo intero",
    "Non-Fullscreen": "Chiudi schermo intero",
    "Mute": "Muto",
    "Unmute": "Audio",
    "Playback Rate": "Tasso di riproduzione",
    "Subtitles": "Sottotitoli",
    "subtitles off": "Senza sottotitoli",
    "Captions": "Sottotitoli non udenti",
    "captions off": "Senza sottotitoli non udenti",
    "Chapters": "Capitolo"
  }
  /* HR video play translation */
  const playerHR = {
    "Play": "Pokreni",
    "Pause": "Pauza",
    "Current Time": "Trenutno vrijeme",
    "Duration": "Vrijeme trajanja",
    "Remaining Time": "Preostalo vrijeme",
    "Stream Type": "Način strimovanja",
    "LIVE": "UŽIVO",
    "Loaded": "Učitan",
    "Progress": "Progres",
    "Fullscreen": "Puni ekran",
    "Non-Fullscreen": "Mali ekran",
    "Mute": "Prigušen",
    "Unmute": "Ne-prigušen",
    "Playback Rate": "Stopa reprodukcije",
    "Subtitles": "Podnaslov",
    "subtitles off": "Podnaslov deaktiviran",
    "Captions": "Titlovi",
    "captions off": "Titlovi deaktivirani",
    "Chapters": "Poglavlja",
    "You aborted the media playback": "Isključili ste reprodukciju videa.",
    "A network error caused the media download to fail part-way.": "Video se prestao preuzimati zbog greške na mreži.",
    "The media could not be loaded, either because the server or network failed or because the format is not supported.": "Video se ne može reproducirati zbog servera, greške u mreži ili je format ne podržan.",
    "The media playback was aborted due to a corruption problem or because the media used features your browser did not support.": "Reprodukcija videa je zaustavljenja zbog greške u formatu ili zbog verzije vašeg pretraživača.",
    "No compatible source was found for this media.": "Nije nađen nijedan kompatibilan izvor ovog videa."
  }




